Skip to main content
GET
/
sources
/
{sourceKey}
/
v1
/
resources
/
{resourceType}
/
{id}
Get a resource from the registry
curl --request GET \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "id": "<string>",
  "type": "<string>",
  "data": {},
  "meta": {
    "createdAt": "2023-11-07T05:31:56Z",
    "identifier": [
      {
        "id": "<string>",
        "system": "<string>",
        "value": "<string>",
        "use": "<string>",
        "period": {
          "id": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ],
    "source": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "contained": {},
  "includes": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

resourceType
string
required

Type of the resource. Key of the profile.

id
string
required

The resource ID. It can also be an identifier with the following formats {system}:{value}:{use} (e.g. clinia:123:use).

Query Parameters

includes
string[]

List of relationship property key (included resources) to includes with the response. Keys must be valid relationship property key for the given resource type.

Response

The resource with the given id.

The included resources or relationships. All odd number of path segments are relationships, and all even number of path segments are resources.

id
string
required
read-only
type
string
required
read-only

Type of the resource.

data
The dynamic attributes based on the resource type · object
required
meta
object
contained
object

Resources contained in this top-level resource. Contained resources exists only within the context of this top-level resource.

includes
object